Package wx :: Package py :: Module frame :: Class ShellFrameMixin

[frames | no frames]

## Class ShellFrameMixin

Known Subclasses:
  `CrustFrame`, `ShellFrame`

A mix-in class for frames that will have a Shell or a Crust window and that want to add history, startupScript and other common functionality.

Method Summary
| `__init__(self, config, dataDir)`
| `bufferHasChanged(self)`
| `bufferSave(self)`
| `EditStartupScript(self)`
| `LoadHistory(self)`
| `LoadSettings(self)`
| ``OnHelp`(self, event)` Display a Help window.
| `SaveHistory(self)`
| `SaveSettings(self)`

Method Details

### OnHelp(self, event)

Display a Help window.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:53 2007 | http://epydoc.sf.net